GNU Radio's CDMA Package

Public Member Functions | List of all members
gr::cdma::vector_insert2_impl Class Reference

`#include <vector_insert2_impl.h>`

Inheritance diagram for gr::cdma::vector_insert2_impl:
[legend]

## Public Member Functions
| vector_insert2_impl (const std::vector< gr_complex > data, int periodicity, int offset)
| ~vector_insert2_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members
Public Types inherited from gr::cdma::vector_insert2
typedef boost::shared_ptr< vector_insert2 > | sptr
Static Public Member Functions inherited from gr::cdma::vector_insert2
static sptr | make (const std::vector< gr_complex > data, int periodicity, int offset)
| Return a shared_ptr to a new instance of cdma::vector_insert2. More...

## Constructor & Destructor Documentation

## ◆ vector_insert2_impl()

gr::cdma::vector_insert2_impl::vector_insert2_impl | ( | const std::vector< gr_complex > | data,
|  | int | periodicity,
|  | int | offset
| ) |  |

## ◆ ~vector_insert2_impl()

gr::cdma::vector_insert2_impl::~vector_insert2_impl | ( |  | ) |

## Member Function Documentation

## ◆ forecast()

void gr::cdma::vector_insert2_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## ◆ general_work()

int gr::cdma::vector_insert2_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- vector_insert2_impl.h